Bug 61370 - copying files onto vfat partition results in corrupted filesystem
Summary: copying files onto vfat partition results in corrupted filesystem
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-18 17:54 UTC by Krzysztof Kosz
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Krzysztof Kosz 2002-03-18 17:54:53 UTC
Description of Problem:
I am using kernel 2.4.9-31. All updates from updates.redhat.com are applied. 
After coping files onto the vfat partition (FAT32, Win 98, 800MB) and starting 
Norton Disc Doctor (under Windows) shows me lost clusters, crosslinked files.
Before upgrade I was using RH 7.1 with 2.4.9-21 and all was OK.

Also starting dosfsck on partition which (as NDD said) is good i get error
FATs differ but appear to be intact. Use which FAT ?

Version-Release number of selected component (if applicable):
kernel-2.4.9-31
dosfs-2.7-1

How Reproducible:


Steps to Reproduce:
1. Copy files onto vfat partiton
2. Start Windows and start chcecking partition (NDD, Scandisk)
3. 

Actual Results:
You get lost clusters, croslinked files

Expected Results:
Well, guess ;-)

Additional Information:

Comment 1 Arjan van de Ven 2002-03-19 17:07:11 UTC
fat didn't actually change between -21 and -31. call me puzzled

Comment 2 Bugzilla owner 2004-09-30 15:39:27 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.